Skip to content

Statuses

GET/api/v1/statuses/{id}

Get a post

Mastodon compatible Supports _pe User token Scope read

Path parameters

idstringrequired

Query parameters

_peboolean

Returns

curl "https://pixelfed.social/api/v1/statuses/728341901556629504" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
{
  "id": "728341901556629504",
  "uri": "https://pixelfed.social/p/dansup/728341901556629504",
  "url": "https://pixelfed.social/p/dansup/728341901556629504",
  "in_reply_to_id": null,
  "in_reply_to_account_id": null,
  "reblog": null,
  "content": "Golden hour at the pier",
  "created_at": "2026-09-14T17:42:10.000Z",
  "emojis": [],
  "reblogs_count": 2,
  "favourites_count": 14,
  "replies_count": 3,
  "reblogged": false,
  "favourited": true,
  "bookmarked": false,
  "muted": false,
  "sensitive": false,
  "spoiler_text": "",
  "visibility": "public",
  "application": {
    "name": "web",
    "website": null
  },
  "language": null,
  "mentions": [],
  "tags": [],
  "poll": null,
  "edited_at": null,
  "pinned": false,
  "media_attachments": [{
    "id": "728341067224219648",
    "type": "image",
    "url": "https://pixelfed.social/storage/m/_v2/2/pier.jpg",
    "remote_url": null,
    "preview_url": "https://pixelfed.social/storage/m/_v2/2/pier_thumb.jpg",
    "text_url": null,
    "description": "Wooden pier at sunset, two people fishing at the far end",
    "blurhash": "UJF}Qo~W9aIV4.xuRjWB00WB-pof",
    "meta": {
      "focus": {
        "x": 0,
        "y": 0
      },
      "original": {
        "width": 1080,
        "height": 1350,
        "size": "1080x1350",
        "aspect": 0.8
      }
    }
  }],
  "account": {
    "id": "2",
    "username": "dansup",
    "acct": "dansup",
    "display_name": "dansup",
    "locked": false,
    "url": "https://pixelfed.social/dansup",
    "avatar": "https://pixelfed.social/storage/avatars/2/avatar.jpg",
    "avatar_static": "https://pixelfed.social/storage/avatars/2/avatar.jpg"
  }
}
GET/api/v1/statuses/{id}/context

Get comments and parent

Mastodon compatible Supports _pe User token Scope read

Path parameters

idstringrequired

Query parameters

_peboolean

Returns

curl "https://pixelfed.social/api/v1/statuses/728341901556629504/context" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
{
  "ancestors": [],
  "descendants": [{
    "id": "728352210917826560",
    "url": "https://pixelfed.social/p/jonas/728352210917826560",
    "in_reply_to_id": "728341901556629504",
    "in_reply_to_account_id": "2",
    "content": "That light is unreal",
    "created_at": "2026-09-14T18:23:41.000Z",
    "visibility": "public",
    "favourited": false,
    "reblogged": false,
    "favourites_count": 1,
    "replies_count": 0,
    "media_attachments": [],
    "account": {
      "id": "412760184563377",
      "username": "jonas",
      "acct": "jonas",
      "display_name": "Jonas"
    }
  }]
}
GET/api/v1/statuses/{id}/card

Get a link preview

Mastodon compatible User token Scope read

Path parameters

idstringrequired

Returns

curl "https://pixelfed.social/api/v1/statuses/728341901556629504/card" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
[]
GET/api/v1/statuses/{id}/history

Get edit history

Mastodon compatible User token

Path parameters

idstringrequired

Returns

curl "https://pixelfed.social/api/v1/statuses/728341901556629504/history" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
[{
  "content": "Golden hour at the pier, Tallinn",
  "spoiler_text": null,
  "sensitive": false,
  "created_at": "2026-09-14T18:02:55.000Z",
  "account": {
    "id": "2",
    "username": "dansup",
    "acct": "dansup",
    "display_name": "dansup",
    "local": true
  },
  "media_attachments": [{
    "id": "728341067224219648",
    "type": "image",
    "url": "https://pixelfed.social/storage/m/_v2/2/pier.jpg",
    "mime": "image/jpeg"
  }],
  "emojis": []
}, {
  "content": "Golden hour at the pier",
  "spoiler_text": null,
  "sensitive": false,
  "created_at": "2026-09-14T17:42:10.000Z",
  "account": {
    "id": "2",
    "username": "dansup",
    "acct": "dansup",
    "display_name": "dansup",
    "local": true
  },
  "media_attachments": [{
    "id": "728341067224219648",
    "type": "image",
    "url": "https://pixelfed.social/storage/m/_v2/2/pier.jpg",
    "mime": "image/jpeg"
  }],
  "emojis": []
}]
POST/api/v1/statuses

Create a post

Mastodon compatible Supports _pe User token Scope write

Query parameters

_peboolean

Body parameters

statusstring

media_ids[]array of strings

in_reply_to_idstring

visibilitystring

sensitiveboolean

spoiler_textstring

comments_disabledboolean

quote_approval_policystring

place_idinteger

collection_ids[]array of strings

Returns

curl -X POST "https://pixelfed.social/api/v1/statuses" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "status": "Golden hour at the pier",
    "media_ids": ["728341067224219648"],
    "visibility": "public"
  }'
Response
{
  "id": "728341901556629504",
  "uri": "https://pixelfed.social/p/dansup/728341901556629504",
  "url": "https://pixelfed.social/p/dansup/728341901556629504",
  "in_reply_to_id": null,
  "content": "Golden hour at the pier",
  "created_at": "2026-09-14T17:42:10.000Z",
  "visibility": "public",
  "sensitive": false,
  "spoiler_text": "",
  "favourited": false,
  "reblogged": false,
  "bookmarked": false,
  "favourites_count": 0,
  "reblogs_count": 0,
  "replies_count": 0,
  "language": "en",
  "card": null,
  "media_attachments": [{
    "id": "728341067224219648",
    "type": "image",
    "url": "https://pixelfed.social/storage/m/_v2/2/pier.jpg",
    "preview_url": "https://pixelfed.social/storage/m/_v2/2/pier_thumb.jpg",
    "description": "Wooden pier at sunset, two people fishing at the far end",
    "blurhash": "UJF}Qo~W9aIV4.xuRjWB00WB-pof"
  }],
  "account": {
    "id": "2",
    "username": "dansup",
    "acct": "dansup",
    "display_name": "dansup"
  }
}
POST/api/v1.1/status/create

Create a post in one request

Pixelfed only User token Scope write

Body parameters

filefilerequired

statusstring

descriptionstring

visibilitystring

sensitiveboolean

spoiler_textstring

Returns

curl -X POST "https://pixelfed.social/api/v1.1/status/create" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN" \
  -F "file=@pier.jpg" \
  -F "status=Golden hour at the pier" \
  -F "description=Wooden pier at sunset, two people fishing at the far end" \
  -F "visibility=public"
Response
{
  "id": "728341901556629504",
  "url": "https://pixelfed.social/p/dansup/728341901556629504",
  "content": "Golden hour at the pier",
  "created_at": "2026-09-14T17:42:10.000Z",
  "visibility": "public",
  "sensitive": false,
  "favourited": false,
  "bookmarked": false,
  "favourites_count": 0,
  "replies_count": 0,
  "language": "en",
  "card": null,
  "media_attachments": [{
    "id": "728341067224219648",
    "type": "image",
    "url": "https://pixelfed.social/storage/m/_v2/2/pier.jpg",
    "preview_url": "https://pixelfed.social/storage/m/_v2/2/pier.jpg",
    "description": "Wooden pier at sunset, two people fishing at the far end"
  }],
  "account": {
    "id": "2",
    "username": "dansup",
    "acct": "dansup"
  }
}
PUT/api/v1/statuses/{id}

Edit a post

Mastodon compatible User token

Path parameters

idstringrequired

Body parameters

statusstring

spoiler_textstring

sensitiveboolean

media_ids[]array of strings

locationobject

Returns

curl -X PUT "https://pixelfed.social/api/v1/statuses/728341901556629504" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "status": "Golden hour at the pier, Tallinn"
  }'
Response
{
  "id": "728341901556629504",
  "shortcode": "Bw7Qx2LmPa",
  "url": "https://pixelfed.social/p/dansup/728341901556629504",
  "content": "Golden hour at the pier, Tallinn",
  "content_text": "Golden hour at the pier, Tallinn",
  "created_at": "2026-09-14T17:42:10.000Z",
  "edited_at": "2026-09-14T18:02:55.000Z",
  "visibility": "public",
  "pf_type": "photo",
  "reply_count": 3,
  "comments_disabled": false,
  "sensitive": false,
  "spoiler_text": "",
  "media_attachments": [{
    "id": "728341067224219648",
    "type": "image",
    "url": "https://pixelfed.social/storage/m/_v2/2/pier.jpg",
    "mime": "image/jpeg"
  }],
  "account": {
    "id": "2",
    "username": "dansup",
    "acct": "dansup",
    "local": true
  }
}
PUT/api/v1/statuses/{id}/interaction_policy

Set who can quote a post

Mastodon compatible User token

Path parameters

idstringrequired

Body parameters

quote_approval_policystringrequired

Returns

curl -X PUT "https://pixelfed.social/api/v1/statuses/728341901556629504/interaction_policy" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "quote_approval_policy": "followers"
  }'
Response
{
  "id": "728341901556629504",
  "url": "https://pixelfed.social/p/dansup/728341901556629504",
  "content": "Golden hour at the pier",
  "visibility": "public",
  "pf_type": "photo",
  "quote_approval_policy": "followers",
  "account": {
    "id": "2",
    "username": "dansup",
    "acct": "dansup"
  }
}
DELETE/api/v1/statuses/{id}

Delete a post

Mastodon compatible User token Scope write

Path parameters

idstringrequired

Returns

curl -X DELETE "https://pixelfed.social/api/v1/statuses/728341901556629504" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
{
  "id": "728341901556629504",
  "url": "https://pixelfed.social/p/dansup/728341901556629504",
  "text": "Golden hour at the pier",
  "content_text": "Golden hour at the pier",
  "created_at": "2026-09-14T17:42:10.000Z",
  "visibility": "public",
  "pf_type": "photo",
  "favourites_count": 14,
  "bookmarked": false,
  "media_attachments": [{
    "id": "728341067224219648",
    "type": "image",
    "url": "https://pixelfed.social/storage/m/_v2/2/pier.jpg"
  }],
  "account": {
    "id": "2",
    "username": "dansup"
  }
}
GET/api/v1/favourites

List liked posts

Mastodon compatible User token Scope read

Query parameters

limitinteger

max_idstring

min_idstring

Returns

curl "https://pixelfed.social/api/v1/favourites?limit=20" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
[{
  "id": "728341901556629504",
  "url": "https://pixelfed.social/p/dansup/728341901556629504",
  "content": "Golden hour at the pier",
  "visibility": "public",
  "favourited": true,
  "favourites_count": 14,
  "like_id": "731990214",
  "liked_at": "2026-09-15T08:11:02.000Z",
  "account": {
    "id": "2",
    "username": "dansup",
    "acct": "dansup"
  }
}]
GET/api/v1/statuses/{id}/favourited_by

List who liked a post

Mastodon compatible Supports _pe User token Scope read

Path parameters

idstringrequired

Query parameters

limitinteger

cursorstring

_peboolean

Returns

curl "https://pixelfed.social/api/v1/statuses/728341901556629504/favourited_by" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
[{
  "id": "412760184563377",
  "username": "jonas",
  "acct": "jonas",
  "display_name": "Jonas",
  "locked": false,
  "url": "https://pixelfed.social/jonas",
  "avatar": "https://pixelfed.social/storage/avatars/412760184563377/avatar.jpg"
}]
POST/api/v1/statuses/{id}/favourite

Like a post

Mastodon compatible Supports _pe User token Scope write

Path parameters

idstringrequired

Query parameters

_peboolean

Returns

curl -X POST "https://pixelfed.social/api/v1/statuses/728341901556629504/favourite" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
{
  "id": "728341901556629504",
  "url": "https://pixelfed.social/p/dansup/728341901556629504",
  "content": "Golden hour at the pier",
  "visibility": "public",
  "favourited": true,
  "reblogged": false,
  "bookmarked": false,
  "favourites_count": 15,
  "reblogs_count": 2,
  "replies_count": 3
}
POST/api/v1/statuses/{id}/unfavourite

Unlike a post

Mastodon compatible Supports _pe User token Scope write

Path parameters

idstringrequired

Query parameters

_peboolean

Returns

curl -X POST "https://pixelfed.social/api/v1/statuses/728341901556629504/unfavourite" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
{
  "id": "728341901556629504",
  "url": "https://pixelfed.social/p/dansup/728341901556629504",
  "content": "Golden hour at the pier",
  "favourited": false,
  "reblogged": false,
  "bookmarked": false,
  "favourites_count": 14
}
GET/api/v1/statuses/{id}/reblogged_by

List who shared a post

Mastodon compatible Supports _pe User token Scope read

Path parameters

idstringrequired

Query parameters

limitinteger

cursorstring

_peboolean

Returns

curl "https://pixelfed.social/api/v1/statuses/728341901556629504/reblogged_by" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
[{
  "id": "412760184563377",
  "username": "jonas",
  "acct": "jonas",
  "display_name": "Jonas",
  "url": "https://pixelfed.social/jonas"
}]
POST/api/v1/statuses/{id}/reblog

Share a post

Mastodon compatible User token Scope write

Path parameters

idstringrequired

Returns

curl -X POST "https://pixelfed.social/api/v1/statuses/728341901556629504/reblog" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
{
  "id": "728341901556629504",
  "url": "https://pixelfed.social/p/dansup/728341901556629504",
  "content": "Golden hour at the pier",
  "visibility": "public",
  "reblogged": true,
  "favourited": false,
  "bookmarked": false,
  "reblogs_count": 3,
  "account": {
    "id": "2",
    "username": "dansup",
    "acct": "dansup"
  }
}
POST/api/v1/statuses/{id}/unreblog

Undo a share

Mastodon compatible User token Scope write

Path parameters

idstringrequired

Returns

curl -X POST "https://pixelfed.social/api/v1/statuses/728341901556629504/unreblog" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
{
  "id": "728341901556629504",
  "url": "https://pixelfed.social/p/dansup/728341901556629504",
  "content": "Golden hour at the pier",
  "reblogged": false,
  "favourited": false,
  "bookmarked": false,
  "reblogs_count": 2
}
GET/api/v1/bookmarks

List bookmarks

Mastodon compatible Supports _pe User token Scope read

Query parameters

limitinteger

cursorstring

_peboolean

Returns

curl "https://pixelfed.social/api/v1/bookmarks?limit=20" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
[{
  "id": "728341901556629504",
  "url": "https://pixelfed.social/p/dansup/728341901556629504",
  "content": "Golden hour at the pier",
  "visibility": "public",
  "bookmarked": true,
  "favourited": true,
  "reblogged": false,
  "account": {
    "id": "2",
    "username": "dansup",
    "acct": "dansup"
  }
}]
POST/api/v1/statuses/{id}/bookmark

Bookmark a post

Mastodon compatible User token Scope write

Path parameters

idstringrequired

Returns

curl -X POST "https://pixelfed.social/api/v1/statuses/728341901556629504/bookmark" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
{
  "id": "728341901556629504",
  "url": "https://pixelfed.social/p/dansup/728341901556629504",
  "content": "Golden hour at the pier",
  "visibility": "public",
  "bookmarked": true
}
POST/api/v1/statuses/{id}/unbookmark

Remove a bookmark

Mastodon compatible User token Scope write

Path parameters

idstringrequired

Returns

curl -X POST "https://pixelfed.social/api/v1/statuses/728341901556629504/unbookmark" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
{
  "id": "728341901556629504",
  "url": "https://pixelfed.social/p/dansup/728341901556629504",
  "content": "Golden hour at the pier",
  "bookmarked": false
}
POST/api/v1/statuses/{id}/pin

Pin a post to your profile

Mastodon compatible User token Scope write

Path parameters

idstringrequired

Returns

curl -X POST "https://pixelfed.social/api/v1/statuses/728341901556629504/pin" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
{
  "id": "728341901556629504",
  "url": "https://pixelfed.social/p/dansup/728341901556629504",
  "content": "Golden hour at the pier",
  "visibility": "public",
  "pf_type": "photo",
  "reply_count": 3,
  "pinned": true,
  "account": {
    "id": "2",
    "username": "dansup",
    "acct": "dansup",
    "avatar_static": "https://pixelfed.social/storage/avatars/2/avatar.jpg"
  }
}
POST/api/v1/statuses/{id}/unpin

Unpin a post

Mastodon compatible User token Scope write

Path parameters

idstringrequired

Returns

curl -X POST "https://pixelfed.social/api/v1/statuses/728341901556629504/unpin" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer $TOKEN"
Response
{
  "id": "728341901556629504",
  "url": "https://pixelfed.social/p/dansup/728341901556629504",
  "content": "Golden hour at the pier",
  "visibility": "public",
  "pf_type": "photo",
  "pinned": false
}
Pixelfed is free and open source software. Edit this page Report a docs issue